%define base proxy_html
%define modname mod_%{base}

Summary: Output filter to rewrite HTML links in a proxy situation
Vendor: Redfish Solutions, LLC
Packager: Philip Prindeville <philipp@redfish-solutions.com>
Name: httpd-%{modname}
Version: 3.0.0
Release: 1%{?dist}
License: GPL
Group: System Environment/Libraries
URL: http://apache.webthing.com/mod_proxy_html/
Source: http://apache.webthing.com/mod_proxy_html/mod_proxy_html.tgz
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: httpd-devel, libxml2-devel
Requires: httpd, libxml2
Provides: %{modname}
Excludeos: windows

%description
mod_proxy_html is an output filter to rewrite HTML links in a proxy situation,
to ensure that links work for users outside the proxy. It serves the same
purpose as Apache's ProxyPassReverse directive does for HTTP headers, and is
an essential component of a reverse proxy.

%define modulesdir %{_libdir}/httpd/modules
%define confdir %{_sysconfdir}/httpd/conf

%prep
%setup -q -n %{modname}


%build
apxs -c -I %{_includedir}/libxml2 %{modname}.c


%install
%{__rm} -rf %{buildroot}
mkdir -p $RPM_BUILD_ROOT/%{modulesdir}
apxs -i -S LIBEXECDIR=$RPM_BUILD_ROOT/%{modulesdir} -n %{modname} %{modname}.la
ls -lR $RPM_BUILD_ROOT
install -m 644 -D %{base}.conf $RPM_BUILD_ROOT/%{confdir}.d/%{base}.conf


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-, root, root, 0755)
%{modulesdir}/%{modname}.so
%config(noreplace) %{confdir}.d/%{base}.conf


%changelog
* Wed Jun 18 2008 Philip Prindeville <http://redfish-solutions.com.>
- Initial RPM release.

